import{S as Ee,i as Ne,s as Pe,e as o,k as c,w as ie,t as s,M as Ie,c as a,d as r,m as p,a as l,x as me,h as i,b as u,G as e,g as E,y as de,L as Le,q as ce,o as pe,B as ge,v as Oe}from"../../chunks/vendor-hf-doc-builder.js";import{D as ke}from"../../chunks/Docstring-hf-doc-builder.js";import{I as Ae}from"../../chunks/IconCopyLink-hf-doc-builder.js";function De(_e){let g,S,_,h,N,v,G,P,z,T,n,y,K,I,V,W,L,B,H,b,J,O,X,Q,Y,w,Z,A,ee,te,j,m,x,re,D,oe,ae,$,ne,M,le,se,C;return v=new Ae({}),y=new ke({props:{name:"timm.create_model",anchor:"timm.create_model",parameters:[{name:"model_name",val:": str"},{name:"pretrained",val:": bool = False"},{name:"pretrained_cfg",val:": typing.Union[str, typing.Dict[str, typing.Any], timm.models._pretrained.PretrainedCfg, NoneType] = None"},{name:"pretrained_cfg_overlay",val:": typing.Union[typing.Dict[str, typing.Any], NoneType] = None"},{name:"checkpoint_path",val:": str = ''"},{name:"scriptable",val:": typing.Optional[bool] = None"},{name:"exportable",val:": typing.Optional[bool] = None"},{name:"no_jit",val:": typing.Optional[bool] = None"},{name:"**kwargs",val:""}],parametersDescription:[{anchor:"timm.create_model.model_name",description:"<strong>model_name</strong> (str) &#x2014; name of model to instantiate",name:"model_name"},{anchor:"timm.create_model.pretrained",description:"<strong>pretrained</strong> (bool) &#x2014; load pretrained ImageNet-1k weights if true",name:"pretrained"},{anchor:"timm.create_model.pretrained_cfg",description:"<strong>pretrained_cfg</strong> (Union[str, dict, PretrainedCfg]) &#x2014; pass in external pretrained_cfg for model",name:"pretrained_cfg"},{anchor:"timm.create_model.pretrained_cfg_overlay",description:"<strong>pretrained_cfg_overlay</strong> (dict) &#x2014; replace key-values in base pretrained_cfg with these",name:"pretrained_cfg_overlay"},{anchor:"timm.create_model.checkpoint_path",description:"<strong>checkpoint_path</strong> (str) &#x2014; path of checkpoint to load <em>after</em> the model is initialized",name:"checkpoint_path"},{anchor:"timm.create_model.scriptable",description:"<strong>scriptable</strong> (bool) &#x2014; set layer config so that model is jit scriptable (not working for all models yet)",name:"scriptable"},{anchor:"timm.create_model.exportable",description:"<strong>exportable</strong> (bool) &#x2014; set layer config so that model is traceable / ONNX exportable (not fully impl/obeyed yet)",name:"exportable"},{anchor:"timm.create_model.no_jit",description:"<strong>no_jit</strong> (bool) &#x2014; set layer config so that model doesn&#x2019;t utilize jit scripted layers (so far activations only)",name:"no_jit"}],source:"https://github.com/rwightman/pytorch-image-models/blob/main/timm/models/_factory.py#L38"}}),x=new ke({props:{name:"timm.list_models",anchor:"timm.list_models",parameters:[{name:"filter",val:": typing.Union[str, typing.List[str]] = ''"},{name:"module",val:": str = ''"},{name:"pretrained",val:" = False"},{name:"exclude_filters",val:": str = ''"},{name:"name_matches_cfg",val:": bool = False"},{name:"include_tags",val:": typing.Optional[bool] = None"}],parametersDescription:[{anchor:"timm.list_models.filter",description:"<strong>filter</strong> (str) - Wildcard filter string that works with fnmatch &#x2014;",name:"filter"},{anchor:"timm.list_models.module",description:"<strong>module</strong> (str) - Limit model selection to a specific submodule (ie &#x2018;vision_transformer&#x2019;) &#x2014;",name:"module"},{anchor:"timm.list_models.pretrained",description:"<strong>pretrained</strong> (bool) - Include only models with valid pretrained weights if True &#x2014;",name:"pretrained"},{anchor:"timm.list_models.exclude_filters",description:"<strong>exclude_filters</strong> (str or list[str]) - Wildcard filters to exclude models after including them with filter &#x2014;",name:"exclude_filters"},{anchor:"timm.list_models.name_matches_cfg",description:"<strong>name_matches_cfg</strong> (bool) - Include only models w/ model_name matching default_cfg name (excludes some aliases) &#x2014;",name:"name_matches_cfg"},{anchor:"timm.list_models.include_tags",description:`<strong>include_tags</strong> (Optional[boo]) - Include pretrained tags in model names (model.tag). If None, defaults &#x2014;
set to True when pretrained=True else False (default: None)`,name:"include_tags"}],source:"https://github.com/rwightman/pytorch-image-models/blob/main/timm/models/_registry.py#L94"}}),{c(){g=o("meta"),S=c(),_=o("h1"),h=o("a"),N=o("span"),ie(v.$$.fragment),G=c(),P=o("span"),z=s("Models"),T=c(),n=o("div"),ie(y.$$.fragment),K=c(),I=o("p"),V=s("Create a model"),W=c(),L=o("p"),B=s("Lookup model\u2019s entrypoint function and pass relevant args to create a new model."),H=c(),b=o("p"),J=s(`**kwargs will be passed through entrypoint fn to timm.models.build_model_with_cfg()
and then the model class `),O=o("strong"),X=s("init"),Q=s("(). kwargs values set to None are pruned before passing."),Y=c(),w=o("p"),Z=s(`Keyword Args:
drop_rate (float): dropout rate for training (default: 0.0)
global_pool (str): global pool type (default: \u2018avg\u2019)
**: other kwargs are consumed by builder or model `),A=o("strong"),ee=s("init"),te=s("()"),j=c(),m=o("div"),ie(x.$$.fragment),re=c(),D=o("p"),oe=s("Return list of available model names, sorted alphabetically"),ae=c(),$=o("p"),ne=s(`Example:
model_list(\u2018gluon_resnet`),M=o("em"),le=s(`\u2019) \u2014 returns all models starting with \u2018gluon_resnet\u2019
model_list(\u2019`),se=s("resnext*, \u2018resnet\u2019) \u2014 returns all models with \u2018resnext\u2019 in \u2018resnet\u2019 module"),this.h()},l(t){const f=Ie('[data-svelte="svelte-1phssyn"]',document.head);g=a(f,"META",{name:!0,content:!0}),f.forEach(r),S=p(t),_=a(t,"H1",{class:!0});var R=l(_);h=a(R,"A",{id:!0,class:!0,href:!0});var fe=l(h);N=a(fe,"SPAN",{});var he=l(N);me(v.$$.fragment,he),he.forEach(r),fe.forEach(r),G=p(R),P=a(R,"SPAN",{});var ue=l(P);z=i(ue,"Models"),ue.forEach(r),R.forEach(r),T=p(t),n=a(t,"DIV",{class:!0});var d=l(n);me(y.$$.fragment,d),K=p(d),I=a(d,"P",{});var ve=l(I);V=i(ve,"Create a model"),ve.forEach(r),W=p(d),L=a(d,"P",{});var ye=l(L);B=i(ye,"Lookup model\u2019s entrypoint function and pass relevant args to create a new model."),ye.forEach(r),H=p(d),b=a(d,"P",{});var U=l(b);J=i(U,`**kwargs will be passed through entrypoint fn to timm.models.build_model_with_cfg()
and then the model class `),O=a(U,"STRONG",{});var be=l(O);X=i(be,"init"),be.forEach(r),Q=i(U,"(). kwargs values set to None are pruned before passing."),U.forEach(r),Y=p(d),w=a(d,"P",{});var F=l(w);Z=i(F,`Keyword Args:
drop_rate (float): dropout rate for training (default: 0.0)
global_pool (str): global pool type (default: \u2018avg\u2019)
**: other kwargs are consumed by builder or model `),A=a(F,"STRONG",{});var we=l(A);ee=i(we,"init"),we.forEach(r),te=i(F,"()"),F.forEach(r),d.forEach(r),j=p(t),m=a(t,"DIV",{class:!0});var k=l(m);me(x.$$.fragment,k),re=p(k),D=a(k,"P",{});var xe=l(D);oe=i(xe,"Return list of available model names, sorted alphabetically"),xe.forEach(r),ae=p(k),$=a(k,"P",{});var q=l($);ne=i(q,`Example:
model_list(\u2018gluon_resnet`),M=a(q,"EM",{});var $e=l(M);le=i($e,`\u2019) \u2014 returns all models starting with \u2018gluon_resnet\u2019
model_list(\u2019`),$e.forEach(r),se=i(q,"resnext*, \u2018resnet\u2019) \u2014 returns all models with \u2018resnext\u2019 in \u2018resnet\u2019 module"),q.forEach(r),k.forEach(r),this.h()},h(){u(g,"name","hf:doc:metadata"),u(g,"content",JSON.stringify(Me)),u(h,"id","timm.create_model"),u(h,"class","header-link block pr-1.5 text-lg no-hover:hidden with-hover:absolute with-hover:p-1.5 with-hover:opacity-0 with-hover:group-hover:opacity-100 with-hover:right-full"),u(h,"href","#timm.create_model"),u(_,"class","relative group"),u(n,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),u(m,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8")},m(t,f){e(document.head,g),E(t,S,f),E(t,_,f),e(_,h),e(h,N),de(v,N,null),e(_,G),e(_,P),e(P,z),E(t,T,f),E(t,n,f),de(y,n,null),e(n,K),e(n,I),e(I,V),e(n,W),e(n,L),e(L,B),e(n,H),e(n,b),e(b,J),e(b,O),e(O,X),e(b,Q),e(n,Y),e(n,w),e(w,Z),e(w,A),e(A,ee),e(w,te),E(t,j,f),E(t,m,f),de(x,m,null),e(m,re),e(m,D),e(D,oe),e(m,ae),e(m,$),e($,ne),e($,M),e(M,le),e($,se),C=!0},p:Le,i(t){C||(ce(v.$$.fragment,t),ce(y.$$.fragment,t),ce(x.$$.fragment,t),C=!0)},o(t){pe(v.$$.fragment,t),pe(y.$$.fragment,t),pe(x.$$.fragment,t),C=!1},d(t){r(g),t&&r(S),t&&r(_),ge(v),t&&r(T),t&&r(n),ge(y),t&&r(j),t&&r(m),ge(x)}}}const Me={local:"timm.create_model",title:"Models"};function Se(_e){return Oe(()=>{new URLSearchParams(window.location.search).get("fw")}),[]}class Re extends Ee{constructor(g){super();Ne(this,g,Se,De,Pe,{})}}export{Re as default,Me as metadata};
